View Issue Details

IDProjectCategoryView StatusLast Update
0002683SOGoWeb Address Bookpublic2017-01-09 15:49
Reporterdjordjije Assigned Toludovic  
PrioritynormalSeverityminorReproducibilityalways
Status resolvedResolutionfixed 
Platform[Server] LinuxOSRHEL/CentOSOS Version6
Product Version2.1.1b 
Fixed in Version3.2.5 
Summary0002683: Contact photo is not displayed in Web Address Book if photo is containing referring URI
Description

I've defined contact photos for two different contacts using Thunderbird Address Book. SOGo Connector Thunderbird extension is used to synchronize personal address book. First contact has "uploaded" photo, ("On this Computer" option on Photo menu), while second one is using referring URI ("On the Web" option on Photo menu).

Contacts data is correctly stored in the database:

c_content field for first contact contains:
PHOTO;ENCODING=b;TYPE=JPEG:$BASE64_ENCODED_DATA

c_content field for second contact contains:
PHOTO;VALUE=uri:$PHOTO_URI

Thunderbird Address Book is displaying photos for both contacts properly.

However, contact photo is not displayed in SOGo Web Address Book if photo is containing referring URI.

Photo is referring in the following element on web page:
<span class="photoFrame"><img src="https://fqdn/SOGo/so/USERNAME/Contacts/personal/CONTACT-UID.vcf/photo&quot; class="contactPhoto"></span>

Web browser is sending following request in both cases:
GET /SOGo/so/USERNAME/Contacts/personal/CONTACT-UID.vcf/photo HTTP/1.1

If contact contains uploaded photo (as described for first contact), then response has "Content-Type: image/jpeg" and corresponding image.

If contact contains uploaded photo (as described for first contact), then response has "Content-Type: text/plain" and corresponding PHOTO_URI.

"img" HTML element cannot contain "recursive" "src" attribute, it should be equal to PHOTO_URI.

TagsNo tags attached.

Activities

djordjije

djordjije

2014-04-25 14:17

reporter   ~0006963

The same issue exists in newer SOGo versions, 2.2.2 and 2.2.3 also.

It looks to me that source code that is producing this problem is located in file:
SoObjects/Contacts/SOGoContactEntryPhoto.m

djordjije

djordjije

2015-06-08 17:43

reporter   ~0008600

Any update on this issue?

Related Changesets

sogo: master 239dffa3

2016-12-29 14:35:06

ludovic

Details Diff
(fix) handle URI in vCard photos (fixes 0002683) Affected Issues
0002683
mod - SoObjects/Contacts/SOGoContactEntryPhoto.m Diff File

sogo: v2 30513c7c

2016-12-29 14:35:06

ludovic

Details Diff
(fix) handle URI in vCard photos (fixes 0002683) Affected Issues
0002683
mod - SoObjects/Contacts/SOGoContactEntryPhoto.m Diff File

sogo: maint f39e4e88

2016-12-29 14:35:06

ludovic


Committer: francis Details Diff
(fix) handle URI in vCard photos (fixes 0002683) Affected Issues
0002683
mod - SoObjects/Contacts/SOGoContactEntryPhoto.m Diff File

Issue History

Date Modified Username Field Change
2014-03-25 04:08 djordjije New Issue
2014-04-25 14:17 djordjije Note Added: 0006963
2015-06-08 17:43 djordjije Note Added: 0008600
2016-12-29 14:36 ludovic Changeset attached => sogo master 239dffa3
2016-12-29 14:36 ludovic Assigned To => ludovic
2016-12-29 14:36 ludovic Resolution open => fixed
2016-12-29 14:36 ludovic Changeset attached => sogo v2 30513c7c
2016-12-29 14:37 ludovic Status new => resolved
2016-12-29 14:37 ludovic Fixed in Version => 3.2.5
2017-01-09 15:49 francis Changeset attached => sogo maint f39e4e88